classification
Title: Link in docs from "String Formatting Operations" to "Template Strings"
Type: Stage:
Components: Documentation Versions: Python 3.1, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cmcqueen1975, docs@python, ezio.melotti, flox, georg.brandl
Priority: normal Keywords:

Created on 2010-07-08 06:36 by cmcqueen1975, last changed 2010-10-17 10:47 by georg.brandl. This issue is now closed.

Messages (2)
msg109515 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2010-07-08 06:36
I stumbled across "Template Strings" of PEP 292 by accident recently. I'd never heard of it before.

I'm familiar with the "string interpolation" aka "String Formatting Operations", and I know to find that in the docs under "Standard Types", i.e.
http://docs.python.org/library/stdtypes.html#string-formatting-operations
http://docs.python.org/py3k/library/stdtypes.html#old-string-formatting-operations

It would be good for that documentation to mention "Template Strings", and include a cross-reference to the docs for it, since it was created as an alternative string formatting. I.e. cross-reference to
http://docs.python.org/library/string.html#template-strings
http://docs.python.org/py3k/library/string.html#template-strings
msg118930 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-17 10:47
Mostly out of date now that we have str.format().
History
Date User Action Args
2010-10-17 10:47:30georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg118930

resolution: out of date
2010-09-09 19:15:15floxsetnosy: + flox
2010-07-08 06:38:00ezio.melottisetnosy: + ezio.melotti
2010-07-08 06:36:46cmcqueen1975create